summaryrefslogtreecommitdiffstats
path: root/source/xap/geeqie
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/xap/geeqie
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/xap/geeqie')
-rw-r--r--source/xap/geeqie/fix-build-re-docs.diff26
-rwxr-xr-xsource/xap/geeqie/geeqie.SlackBuild28
-rw-r--r--source/xap/geeqie/slack-desc8
3 files changed, 50 insertions, 12 deletions
diff --git a/source/xap/geeqie/fix-build-re-docs.diff b/source/xap/geeqie/fix-build-re-docs.diff
new file mode 100644
index 000000000..279d8566e
--- /dev/null
+++ b/source/xap/geeqie/fix-build-re-docs.diff
@@ -0,0 +1,26 @@
+diff -Nur geeqie-1.4.orig/Makefile.am geeqie-1.4/Makefile.am
+--- geeqie-1.4.orig/Makefile.am 2017-12-31 06:31:21.000000000 -0600
++++ geeqie-1.4/Makefile.am 2018-01-02 02:18:15.881141642 -0600
+@@ -9,11 +9,7 @@
+
+ readmedir = @readmedir@
+
+-if HAVE_MARKDOWN
+-readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS README.html ChangeLog.html
+-else
+-readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS ChangeLog.html
+-endif
++readme_DATA = README.md COPYING ChangeLog TODO README.lirc AUTHORS
+
+ desktopdir = $(datadir)/applications
+ desktop_in_files = geeqie.desktop.in
+@@ -37,9 +33,3 @@
+
+ DISTCLEANFILES = config.report
+
+-.PHONY: ChangeLog
+-ChangeLog.html:
+- ./gen_changelog.sh
+-
+-README.html: README.md
+- ./gen_readme.sh
diff --git a/source/xap/geeqie/geeqie.SlackBuild b/source/xap/geeqie/geeqie.SlackBuild
index 6dffa6fe5..857e0d2e6 100755
--- a/source/xap/geeqie/geeqie.SlackBuild
+++ b/source/xap/geeqie/geeqie.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2010, 2011, 2012, 2015, 2016 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012, 2015, 2016, 2018 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,11 @@
# Modified by the SlackBuilds.org project
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=geeqie
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
-CWD=$(pwd)
# Download the geeqie Git head if there's no tarball:
if ! /bin/ls $CWD/geeqie*tar* 1> /dev/null 2> /dev/null ; then
git clone git://www.geeqie.org/geeqie.git
@@ -47,6 +48,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -78,7 +87,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-autoreconf -f -i ; intltoolize
+zcat $CWD/fix-build-re-docs.diff.gz | patch -p1 --verbose || exit 1
+mv ChangeLog.gqview ChangeLog
+
+./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -87,16 +99,16 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --with-readmedir=/usr/doc/geeqie-$VERSION \
+ --with-htmldir=/usr/doc/geeqie-$VERSION/html \
--program-prefix="" \
--program-suffix="" \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install-strip DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-mv $PKG/usr/share/doc/$PKGNAM-$VERSION/* $PKG/usr/doc/$PKGNAM-$VERSION
-rm -r $PKG/usr/share/doc
cp -a \
AUTHORS COPYING* INSTALL NEWS README* TODO \
$PKG/usr/doc/$PKGNAM-$VERSION
diff --git a/source/xap/geeqie/slack-desc b/source/xap/geeqie/slack-desc
index 16a0d9923..b90231f73 100644
--- a/source/xap/geeqie/slack-desc
+++ b/source/xap/geeqie/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -12,7 +12,7 @@ geeqie: Geeqie is an interactive GTK based image viewer that supports multiple
geeqie: image formats, zooming, panning, thumbnails, and sorting images into
geeqie: collections.
geeqie:
-geeqie: Homepage: http://www.geeqie.org
+geeqie: Homepage: http://www.geeqie.org
geeqie:
geeqie:
geeqie: